%NASNOX batch mode; 
%compute ONE distance on multiple input models;
%April 2015;
%
clear('all');
%Input nucleotide positions
sites=csvread('sites.csv');
site1=sites(1,1);site2=sites(1,2);
%
%Input rotamer search parameters
[par,varnames,casenames]=tblread('parameters.csv',',');
   site1t1=par(1,1);site2t1=par(1,2);
   site1t2=par(2,1);site2t2=par(2,2);
   site1t3=par(3,1);site2t3=par(3,2);
   site1alpha=par(4,1);site2alpha=par(4,2);
   site1beta=par(5,1);site2beta=par(5,2);
   site1gamma=par(6,1);site2gamma=par(6,2);
%
%Input list of structure models; 
[models]=textread('model_list.csv','%s');
%
%Compute distances
for i=1:size(models);
%
    temp1=models(i);
    temp2=char(temp1);
    temp3=sprintf('%s%s',temp2,'.pdb');

fid=fopen('data.in','w');
fprintf(fid,'NASNOX with one pdb\n');
fprintf(fid,' 3 1 0 1 0 0\n');
fprintf(fid,'%-35s',temp3); 
fprintf(fid,'1\n');
fprintf(fid,'a30 200  10  10 100   0\n');
fprintf(fid,' 15 15 0.30 30.0 0.30 30.0  0 0 0 0 4 1\n'); 

fprintf(fid,'nitroxideO1P_PS.zmat');
fprintf(fid,'%4.0d',site1);
fprintf(fid,'%s%3d%3d%3d  %5.1f %4.1f  %5.1f%s\n', ' 1 0.75',site1t1,site1t2,site1t3,site1alpha,site1beta,site1gamma,' 1');

fprintf(fid,'nitroxideO2P_PS.zmat');
fprintf(fid,'%4.0d',site1);
fprintf(fid,'%s%3d%3d%3d  %5.1f %4.1f  %5.1f%s\n', ' 1 0.75',site1t1,site1t2,site1t3,site1alpha,site1beta,site1gamma,' 1');

fprintf(fid,'nitroxideO1P_PS.zmat');
fprintf(fid,'%4.0d',site2);
fprintf(fid,'%s%3d%3d%3d  %5.1f %4.1f  %5.1f%s\n', ' 1 0.75',site2t1,site2t2,site2t3,site2alpha,site2beta,site2gamma,' 1');

fprintf(fid,'nitroxideO2P_PS.zmat');
fprintf(fid,'%4.0d',site2);
fprintf(fid,'%s%3d%3d%3d  %5.1f %4.1f  %5.1f%s\n', ' 1 0.75',site2t1,site2t2,site2t3,site2alpha,site2beta,site2gamma,' 1');

fclose(fid);
%
dos('nasdac1.1.exe');
%
temp4=sprintf('%s%s%d%s%d%s',temp2,'_',site1,'-',site2,'_data.add');
movefile('data.add',temp4)
temp5=sprintf('%s%s%d%s%d%s',temp2,'_',site1,'-',site2,'_datalig.pdb');
movefile('data001lig.pdb',temp5);
dos('del data.in');
%
end